## org.eclipse.datatools.sqltools.result.internal.ui.view
Class ResultHistorySection

    java.lang.Object
      org.eclipse.datatools.sqltools.result.internal.ui.view.ResultHistorySection

    public class ResultHistorySection

extends java.lang.Object

This UI component is in charge of displaying the left panel (result history) of SQL Results View.

Author:
  Dafan Yang

Field Summary
`static java.lang.String` `TAG_COLUMN_WIDTH`

Constructor Summary
`ResultHistorySection(org.eclipse.swt.widgets.Composite parent, org.eclipse.swt.widgets.Composite detailArea, ResultsViewControl resultsViewControl)`

Method Summary
`void` `applyState(org.eclipse.ui.IMemento memento)` Applies the memento to this section
`void` `dispose()`
`org.eclipse.jface.viewers.TreeViewer` `getResultTable()`
`org.eclipse.jface.viewers.ISelection` `getSelection()`
`IResultInstance[]` `getVisibleInstances()` Returns all visible result instances
`boolean` `isFilteredOut(IResultInstance instance)` Checks if the given result instance is filtered out or not
`void` `reDisplayResults()` Re-displays the result history table (Configured columns are changed)
`void` `refresh()`
`void` `saveState(org.eclipse.ui.IMemento memento)` Saves the current column width status
`void` `search()` Searches the result instances using current input expression

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG_COLUMN_WIDTH

    public static final java.lang.String TAG_COLUMN_WIDTH

See Also:
  Constant Field Values

Constructor Detail

### ResultHistorySection

    public ResultHistorySection(org.eclipse.swt.widgets.Composite parent,
                                org.eclipse.swt.widgets.Composite detailArea,
                                ResultsViewControl resultsViewControl)

Method Detail

### applyState

    public void applyState(org.eclipse.ui.IMemento memento)

  Applies the memento to this section

  Parameters:
    `memento` - the memento

### getResultTable

    public org.eclipse.jface.viewers.TreeViewer getResultTable()

### getSelection

    public org.eclipse.jface.viewers.ISelection getSelection()

### getVisibleInstances

    public IResultInstance[] getVisibleInstances()

  Returns all visible result instances

  Returns:
    all visible result instances

### isFilteredOut

    public boolean isFilteredOut(IResultInstance instance)

  Checks if the given result instance is filtered out or not

  Parameters:
    `instance` - a result instance
  Returns:
    `true` if the given instance is filtered out, `false` otherwise

### reDisplayResults

    public void reDisplayResults()

  Re-displays the result history table (Configured columns are changed)

### refresh

    public void refresh()

### dispose

    public void dispose()

### saveState

    public void saveState(org.eclipse.ui.IMemento memento)

  Saves the current column width status

  Parameters:
    `memento` - the memento

### search

    public void search()

  Searches the result instances using current input expression